Pular para o conteúdo principal
GET
/
api
/
v1
/
llm
/
speech
/
transcriptions
/
history
/
{stt_id}
Python (SDK)
from meetkai_mka1 import SDK


with SDK(
    bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:

    res = sdk.llm.speech.get_transcription_history(stt_id="stt_aa87e2b1112a455b8deabed784372198")

    # Handle response
    print(res)
{
  "id": "stt_aa87e2b1112a455b8deabed784372198",
  "object": "speech.transcription",
  "text": "Hello, this is a sample transcription of the audio file.",
  "language": "en",
  "confidence": 0.95,
  "model": "auto",
  "provider_id": "azure",
  "filename": "audio.wav",
  "audio_bytes": 120000,
  "audio_mime_type": "audio/wav",
  "speakers": null,
  "streaming": false,
  "metadata": {},
  "created_at": 1704067200
}

Autorizações

Authorization
string
header
obrigatório

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Cabeçalhos

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Parâmetros de caminho

stt_id
string
obrigatório

Resposta

200 - application/json

OK

Uma transcrição de fala para texto armazenada.

id
string
obrigatório

Identificador único para o item de histórico.

object
any
obrigatório

O tipo de objeto, sempre 'speech.transcription'.

text
string
obrigatório

O texto transcrito.

language
string | null
obrigatório

O código de língua detectado ou especificado.

confidence
number | null
obrigatório

Pontuação de confiança de 0 a 1, quando disponível.

model
string
obrigatório

O modelo de transcrição utilizado.

provider_id
string | null
obrigatório

O prestador que produziu a transcrição.

filename
string | null
obrigatório

Nome do arquivo original do áudio de entrada, quando disponível.

audio_bytes
integer
obrigatório

Tamanho do áudio de entrada em bytes.

Intervalo obrigatório: -9007199254740991 <= x <= 9007199254740991
audio_mime_type
string | null
obrigatório

Tipo MIME do áudio de entrada armazenado.

speakers
object[] | null
obrigatório

Segmentos de diarização de falantes, quando presentes.

streaming
boolean
obrigatório

Se a transcrição veio do WebSocket de streaming.

metadata
object
obrigatório

Metadados arbitrários armazenados com o item.

created_at
integer
obrigatório

Timestamp Unix (segundos) quando o item foi criado.

Intervalo obrigatório: -9007199254740991 <= x <= 9007199254740991